> For the complete documentation index, see [llms.txt](https://docs.fairmarkit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fairmarkit.com/buyers/administration/templates/create-a-full-template/locked-questions.md).

# Locked questions

When you create a template, you can lock certain questions so users cannot remove them when they create new events from the template. On the event, users cannot delete the question or the section containing the question. Only Admin users can lock template questions.

### Lock a question <a href="#lockaquestion" id="lockaquestion"></a>

{% stepper %}
{% step %}

### Lock a question <a href="#lockaquestion" id="lockaquestion"></a>

1. Enter all of the required fields for the question.

![](https://1711751134-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F95QWDcOsKn95Me8sE2RP%2Fuploads%2FVNRNxF5m0nHkF31bxfRE%2Ftemplate-lock_thumb_400_0.png?alt=media\&token=2c25c0eb-7e3c-474c-85a8-39a6133afc7e)
{% endstep %}

{% step %}

1. Select *actions* > **Lock**.\
   Once locked, the question is grayed out.

![](https://1711751134-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F95QWDcOsKn95Me8sE2RP%2Fuploads%2Fv83rBIwtiitQ8GaT82zA%2Ftemplate-locked_thumb_400_0.png?alt=media\&token=4517b1ab-2ef0-4b54-8b7a-da64a10c42a9)

{% endstep %}
{% endstepper %}

### Unlock a question <a href="#unlockaquestion" id="unlockaquestion"></a>

* Select *actions* > **Unlock**.\
  The question is unlocked.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fairmarkit.com/buyers/administration/templates/create-a-full-template/locked-questions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
